#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

void cb(double *t, int *kc)
{
   static int lkc = 0;                          /* Count of key presses */

   ss2sss(50.0);				/* Fast spinning! */
   if (lkc != *kc) {                            /* Space bar pressed? */
      if (drand48() > 0.5) ss2sas(1);		/* Random auto spin state */
      else ss2sas(0);
   }

   float qas = ss2qas();			/* Query autospin state */
   char string[32];

   if (qas == 0) 
       sprintf(string,"Not spinning");  	/* Write to string */
   else
       sprintf(string,"Whee....");  		/* Write to string */

   s2textxy(0,0,0,string);                   	/* Display text */

   lkc = *kc;                                   /* Update count */
}


int main(int argc, char *argv[])
{

   fprintf(stderr,"Press <spacebar> to randomly change autospin state \n"); 
   s2opend("/s2mono",argc, argv);		/* Open the display: mono */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */

   cs2scb(cb);					/* Install dynamic callback */
   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

