#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

void cb(double *t, int *kc)
{
   static int lkc = 0;				/* Count of key presses */

   if (lkc != *kc) {				/* Space bar pressed? */
     ss2ssr((int)(drand48()*94+5));
   }
   int qsr = ss2qsr();				/* Query sphere resolution */
   
   char string[32];			
   sprintf(string,"Resolution = %d",qsr); 	/* Write to string */
   s2textxy(0,-0.5,0,string);			/* Display text */

   ns2sphere(0,0.5,0,0.3,1,1,0);		/* A yellow sphere */

   lkc = *kc;					/* Update count */
}

int main(int argc, char *argv[])
{
   fprintf(stderr,"Press the <spacebar> to change sphere resolution");

   s2opend("/s2mono", argc, argv);             	/* Open in mono mode */
   s2swin(-1.,1., -1.,1., -1.,1.);              /* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);  /* Draw coordinate box */
   
   cs2scb(cb);					/* Install dynamic callback */
   s2show(1);                                   /* Open the s2plot window */

   return 1;
}
