/* s2const.h: public constants and definitions for S2PLOT library
 *
 * ==================================================================
 * S2PLOT is freely available for non-commercial and educational use,
 * however, it is not public-domain software. The programming library
 * and documentation may not be redistributed or sub-licensed in any
 * form without permission from Swinburne University of
 * Technology. The programming library and sample codes are provided
 * without warranty.
 *
 * We would appreciate it if research outcomes using S2PLOT would
 * provide the following acknowledgement:
 *
 * "Three-dimensional visualisation was conducted with the S2PLOT
 * progamming library"
 *
 * and a reference to 
 *
 * D.G.Barnes, C.J.Fluke, P.D.Bourke & O.T.Parry, 2006, Publications
 * of the Astronomical Society of Australia, 23(2), 82-93.
 *
 * S2PLOT development was funded through the Researcher Developer
 * Grant Scheme at Swinburne University of Technology.
 * ==================================================================
 *
 * original version: David Barnes, June 2007
 *
 * $Id: s2const.h,v 1.4 2007/11/09 05:53:55 dbarnes Exp $
 *
 */

#ifndef S2CONST_H
#define S2CONST_H

/* Colours - based on PGPlot default settings */
#define S2_PG_BLACK 0
#define S2_PG_WHITE 1
#define S2_PG_RED   2
#define S2_PG_GREEN 3
#define S2_PG_BLUE  4
#define S2_PG_CYAN  5
#define S2_PG_MAGENTA 6
#define S2_PG_YELLOW 7
#define S2_PG_ORANGE 8
#define S2_PG_DKGRAY 14
#define S2_PG_DKGREY 14
#define S2_PG_LTGRAY 15
#define S2_PG_LTGREY 15

/* Rendering modes */
#define WIREFRAME      0
#define SHADE_FLAT     1
#define SHADE_DIFFUSE  2
#define SHADE_SPECULAR 3

/* Projections */
#define PERSPECTIVE 0
#define ORTHOGRAPHIC 1
#define FISHEYE 2

/* Stereo types */
#define NOSTEREO     0
#define ACTIVESTEREO 1
#define DUALSTEREO   2
#define ANAGLYPHSTEREO 3
#define TRIOSTEREO   4
#define INTERSTEREO  5

// Dome types */
#define NODOME      0
#define TRUNCBOTTOM 1
#define TRUNCTOP    2
#define VSPHERICAL  3
#define HSPHERICAL  4
#define WARPMAP     5
#define MIRROR1     6

#endif
